slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPReasonView

Displays the reason a NEP solve converged or diverged.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPReasonView(NEP nep,PetscViewer viewer)

Collective on NEP

### Parameter

| nep | - the nonlinear eigensolver context
| viewer | - the viewer to display the reason

### Options Database Keys

| -nep_converged_reason | - print reason for convergence, and number of iterations

### See Also

NEPSetConvergenceTest(), NEPSetTolerances(), NEPGetIterationNumber()

Location: src/nep/interface/nepview.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex21.c.html
src/nep/examples/tutorials/ex22.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html
src/nep/examples/nlevp/loaded_string.c.html
src/nep/examples/nlevp/gun.c.html